Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2965 - ikon2xbm need lesser page-width
Summary: ikon2xbm need lesser page-width
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: faces
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-22 13:30 UTC by chj
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-05 20:14:08 UTC


Attachments (Terms of Use)

Description chj 1999-05-22 13:30:48 UTC
The following is an example face two-line file:

2tQjSw>|IA680lA7r'G9Y[jfoS>tTPw4-B#mQo_C+{6>^DWZP`o.h<N!-!iBER@5!"`:9^t

~MyeXP43[]t)W-sTm)TibB_c4=**35T?X(,6,POUlqae[Aq$"zn4hN{{w@(=rYp\i=\wUyhL

Running it as this

uncompface example.face | ikon2xbm > example.xmb

gives an error:

icontopbm: error 4 scanning bits item
pbmtoxbm: EOF / read error reading magic number

The error is ``cured'' by adding a page-width directive of
-w55 to the pr command in ikon2xbm:

*** ikon2xbm.orig       Fri May  1 03:19:12 1998
--- ikon2xbm    Tue Jun 16 19:30:42 1998
***************
*** 28,34 ****

  dim=`wc -l < $tmp | awk '{ print 4 * sqrt($1) }'`

! pr -l1 -t -8 -s, < $tmp |
  (cat << EOF
  /* Format_version=1, Width=$dim, Height=$dim, Depth=1,
Valid_bits_per_item=16
   */
--- 28,34 ----

  dim=`wc -l < $tmp | awk '{ print 4 * sqrt($1) }'`

! pr -w55 -l1 -t -8 -s, < $tmp |
  (cat << EOF
  /* Format_version=1, Width=$dim, Height=$dim, Depth=1,
Valid_bits_per_item=16
   */

Comment 1 Michael K. Johnson 1999-07-29 21:31:59 UTC
That 55 looks random.  How do you know that is always gives the
right number of rows/columns and never hurts the output?

Comment 2 Michael K. Johnson 1999-07-30 13:56:59 UTC
It looks like the -w55 simply removes exess space, so we should
apply the patch.  Thanks!

Comment 3 Jeff Johnson 1999-09-05 20:14:59 UTC
Fixed in faces-1.6.1-17. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.